> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Shipping Carrier

> The "List Shipping Carrier" API allows to retrieve a paginated list of shipping carrier.



## OpenAPI

````yaml /api-reference/store/openapi.json get /store/shipping-carrier/{shippingCarrierId}
openapi: 3.0.0
info:
  title: Store API
  description: Documentation for store API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Store
    description: Documentation for store API
  - name: Shipping Zone
    description: Documentation for store API
  - name: Shipping Zone Rates
    description: Documentation for store API
  - name: Shipping Carrier
    description: Documentation for store API
  - name: Store Setting
    description: Documentation for store API
  - name: Customer Access Center
    description: Documentation for store API
paths:
  /store/shipping-carrier/{shippingCarrierId}:
    get:
      tags:
        - Shipping Carrier
      summary: Get Shipping Carrier
      description: >-
        The "List Shipping Carrier" API allows to retrieve a paginated list of
        shipping carrier.
      operationId: get-shipping-carriers
      parameters:
        - name: shippingCarrierId
          required: true
          in: path
          description: ID of the shipping carrier that needs to be returned
          schema:
            example: 6578278e879ad2646715ba9c
            type: string
        - name: altId
          required: true
          in: query
          description: Location Id or Agency Id
          schema:
            example: 6578278e879ad2646715ba9c
            type: string
        - name: altType
          required: true
          in: query
          schema:
            type: string
            enum:
              - location
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetShippingCarrierResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - Location-Access:
            - store/shipping.readonly
components:
  schemas:
    GetShippingCarrierResponseDto:
      type: object
      properties:
        status:
          type: boolean
          description: Status of api action
          example: true
        message:
          type: string
          description: Success message
          example: Successfully created
        data:
          $ref: '#/components/schemas/ShippingCarrierSchema'
      required:
        - status
        - data
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error
    ShippingCarrierSchema:
      type: object
      properties:
        altId:
          type: string
          description: Location Id or Agency Id
          example: 6578278e879ad2646715ba9c
        altType:
          type: string
          enum:
            - location
        name:
          type: string
          description: Name of the shipping carrier
          example: FedEx
        callbackUrl:
          type: string
          description: >-
            The URL endpoint that GHL needs to retrieve shipping rates. This
            must be a public URL.
          example: https://example.com/get-shipping-rates
        services:
          description: An array of available shipping carrier services
          type: array
          items:
            $ref: '#/components/schemas/ShippingCarrierServiceDto'
        allowsMultipleServiceSelection:
          type: boolean
          description: >-
            The seller can choose multiple services while creating shipping
            rates if this is true.
          example: true
        _id:
          type: string
          description: The unique identifier for the product.
          example: 655b33a82209e60b6adb87a5
        marketplaceAppId:
          type: string
          description: The unique identifier for the marketplace app.
          example: 655b33a82209e60b6adb87a5
        createdAt:
          type: string
          description: created at
          example: '2023-12-12T09:27:42.355Z'
        updatedAt:
          type: string
          description: updated at
          example: '2023-12-12T09:27:42.355Z'
      required:
        - altId
        - altType
        - name
        - callbackUrl
        - _id
        - marketplaceAppId
        - createdAt
        - updatedAt
    ShippingCarrierServiceDto:
      type: object
      properties:
        name:
          type: string
          description: Name of the shipping carrier service
          example: Priority Mail Express International
        value:
          type: string
          description: Value of the shipping carrier service
          example: PriorityMailExpressInternational
      required:
        - name
        - value

````